import { SupabaseFunctionsClient } from './functions';
import { SupabaseStorageClient } from './storage';
import { SupabaseRealtimeClient } from './realtime';
import { PostgresFilterBuilder, SupabasePostgresClient, SupabasePostgresQueryBuilder } from './postgres';
declare const auth_: unique symbol;
declare const functions_: unique symbol;
declare const storage_: unique symbol;
export declare class SupabaseClient {
    native: org.nativescript.supabase.SupabaseClient;
    static fromNative(native: org.nativescript.supabase.SupabaseClient): SupabaseClient;
    [auth_]: any;
    get auth(): any;
    [functions_]: SupabaseFunctionsClient;
    get functions(): SupabaseFunctionsClient;
    [storage_]: SupabaseStorageClient;
    get storage(): SupabaseStorageClient;
    schema(schema: string): SupabasePostgresClient;
    from(relation: string): SupabasePostgresQueryBuilder;
    channel(name: string): any;
    removeChannel(channel: SupabaseRealtimeClient): Promise<void>;
    removeAllChannels(): Promise<void>;
    rpc(fn: string, args?: Record<string, any>, options?: {
        count?: 'exact' | 'planned' | 'estimated';
        get?: boolean;
        head?: boolean;
    }): PostgresFilterBuilder;
}
export declare function createClient(supabaseURL: string, supabaseKey: string): SupabaseClient;
export {};
